Package: groovy.lang

## [Java] Class ClosureException

- groovy.lang.ClosureException

- An exception thrown by a closure invocation

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureException (Closure closure, Throwable cause)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Closure` | `getClosure()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ClosureException(Closure closure, Throwable cause)

  - ### Method Detail

    - #### public Closure getClosure()